using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Game : MonoBehaviour 
{
    #region Singleton

    public static Game game;

    void Awake()
    {
        game = this;
    }

    #endregion

    [Header("General")]
	public Transform cam;
	public UI ui;
	public Player player;
    public WeaponManager weaponManager;
    public Map map;
    public WaveManager waveManager;

    [Header("Other")]
    public float difficult;
    public float difficultStep;

    void Start()
    {
        if (DataController.instance == true)
        {
            DataController.instance.Load();
        }
    }

    // Перемещение игрока к определенной позиции
    public void MovePlayerToPosition(Transform pos)
    {
        player.transform.position = pos.position;
    }

    // Конец уровня
    public void EndLevel()
    {
        print("Level has Ended!");
    }

}
